problem: advection
stab: supg
stab_tau: advdiff_shakib
degree: 1

wind_type: translation
wind_translation: -0.7071067811865475,0.7071067811865475
advection_ic_type: wave
advection_ic_wave:
  type: square
  frequency: 17.771531752633464 # 8 pi / sqrt(2)
  phase: 0
diffusion_coeff: 0

ts:
  dt: 1e-3
  type: rk
  adapt_type: none
  max_steps: 100
  # monitor_solution: cgns:advection_wave.cgns
  # monitor_solution_interval: 5
dm_mat_preallocate_skip: true

dm_plex:
  box_lower: 0,0
  box_upper: 1,1
  box_faces: 20,20
  shape: zbox
  box_bd: periodic,periodic
